package com.uas.b2c.pay.constant;

/**
 * 支付方式的枚举类型
 *
 * Created by yujia on 2017/12/23.
 */
public enum PayTypeEnum {

    B2B_EBANK("01", "B2B网关测试"),

    B2C_EBANK("02", "B2C网关测试"),

    UNION_PAY("03", "银联快捷支付"),

    WECHAT_PAY("05", "微信支付");

    /**
     * 值
     */
    private String value;

    /**
     * 描述
     */
    private String message;

    PayTypeEnum(String value, String message) {
        this.value = value;
        this.message = message;
    }

    public String getValue() {
        return value;
    }

    public PayTypeEnum setValue(String value) {
        this.value = value;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public PayTypeEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
