package com.uas.b2c.pay.constant;

/**
 * 平安支付的枚举类型
 *
 * Created by yujia on 2017/12/19.
 */
public enum PingAnEnum {

    /**
     * 普通型子账户
     */
    SELECT_FLAG_COMMON("2", "普通型子账户"),

    /**
     * 功能型子账户
     */
    SELECT_FLAG_FUNCTION("3", "功能型子账户");

    private String tag;

    private String message;

    PingAnEnum(String tag, String message) {
        this.tag = tag;
        this.message = message;
    }

    public String getTag() {
        return tag;
    }

    public PingAnEnum setTag(String tag) {
        this.tag = tag;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public PingAnEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
