package com.uas.b2c.pay.constant;

/**
 * 收单充值的状态
 *
 * Created by yujia on 2018/1/17.
 */
public enum RechargeEnum {

    TOBECOMFIRM(100, "待确认"),

    RECHARGE_SUCCESS(200, "充值成功"),

    RECHARGE_FAIL(300, "充值失败");

    private int code;

    private String message;

    RechargeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public RechargeEnum setCode(int code) {
        this.code = code;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public RechargeEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
