package com.uas.b2c.pay.controller;

import com.uas.b2c.pay.constant.B2CField;
import com.uas.b2c.pay.constant.PingAnEnum;
import com.uas.b2c.pay.constant.PingAnField;
import com.uas.b2c.pay.constant.PingAnProperties;
import com.uas.b2c.pay.constant.StringConstant;
import com.uas.b2c.pay.properties.SysConf;
import com.uas.b2c.pay.service.AssociatorSubAccountService;
import com.uas.b2c.pay.service.AssociatorTradeService;
import net.sf.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

/**
 * 测试代码
 *
 * @author yuj 2017-11-09 14:49
 */
@RestController
@RequestMapping(value = "/hell/test")
public class HelloWorldController {

    private final SysConf sysConf;

    private final AssociatorSubAccountService associatorSubAccountService;

    private final AssociatorTradeService associatorTradeService;

    @Autowired
    public HelloWorldController(SysConf sysConf, AssociatorSubAccountService associatorSubAccountService, AssociatorTradeService associatorTradeService) {
        this.sysConf = sysConf;
        this.associatorSubAccountService = associatorSubAccountService;
        this.associatorTradeService = associatorTradeService;
    }

    @RequestMapping(value = "/say")
    public String test() {
        HashMap map = new HashMap();
        /*开户*/
//        map.put("useruu", 1000103422l);
//        map.put("enuu", 1000103423l);
//        map.put("isPersonal", Boolean.TRUE);
//        map.put("dissociative", Boolean.TRUE);
//        map.put("NickName", "yuj");
//        map.put("MobilePhone", "17688562777");
//        map.put("Email", "yuj@usoftchina.com");
//        associatorSubAccountService.openSubAccount(map);

        //parmaKeyDict.put("CustAcctId", "3239000000006008");
//        parmaKeyDict.put("ThirdCustId", "10000001000111");
        /*绑定银行卡*/
//        map.put("CustAcctId", "3239000000006008");
//        map.put("ThirdCustId", "10000001000111");
//        map.put("CustName", "aaa");
//        map.put("IdType", PingAnProperties.IDTYPE);
//        map.put("IdCode", "430623199011205457");
//        map.put("AcctId", "6214837800262671"); //会员的账号
//        map.put("BankType", PingAnProperties.OTHER_BANK_TYPE);
//        map.put("BankName", "中国工商银行");
//        map.put("BankCode", "102100099996");
//        map.put("super_size_type", PingAnProperties.SUPERBANKNUM);
//        map.put("MobilePhone", "15989329613");
//        map.put("useruu", 100003333l);
//        associatorSubAccountService.bindBankCard(map);


        /*获取动态验证码*/
//        HashMap map4 = new HashMap();
//        map4.put("ThirdCustId", "1000103422100010342311");
//        map4.put("CustAcctId", "3239000000006038");
//        map4.put("TranType", PingAnProperties.MESSAGE_TRANTYPE_PAY);
//        map4.put("TranAmount", "10000");
//        map4.put("useruu", 1000103422l);
//        System.out.println(JSONObject.fromObject(map4));
//        ResultMap resultMap = associatorTradeService.getSMSVerification(map4);
//        if(resultMap.getCode().intValue() == CodeType.success) {
            /*会员间交易*/
            HashMap map3 = new HashMap();
            map3.put("useruu", 1000000l); //请求流水号

            map3.put("FuncFlag", PingAnProperties.ADVANCEPAY);
            map3.put("OutCustAcctId", "3239000000006038");
            map3.put("OutThirdCustId", "1000103422100010342311");
            map3.put("OutCustName", "aaa");
            map3.put("InCustAcctId", "3239000000006018");
            map3.put("InThirdCustId", "100023130344311");
            map3.put("InCustName", "bbbb");
            map3.put("TranAmount", "10000");
            map3.put("TranFee", "10");
            map3.put("TranType", PingAnProperties.TRANTYPE);
            map3.put("CcyCode", PingAnProperties.CURRENCYTYPE);
            map3.put("ThirdHtId", "0113333");
            map3.put("ThirdHtMsg", "我去");
            map3.put("Note", ""); //建议可送订单号，可在对账文件的备注字段获取到。
            map3.put("MessageCode ", "224138");
            map3.put("Reserve", "");
            map3.put("SerialNo", "17112000606465");
            System.out.println(JSONObject.fromObject(map3));
            associatorTradeService.payOrRefund(map3);
//        }
        return sysConf.getBusinessCode() + "-----" + sysConf.getFundSummaryAccount();
    }


}
