package com.uas.b2c.pay.service.impl;

import com.uas.b2c.pay.domain.ReceiptsRechargeRecord;
import com.uas.b2c.pay.repository.ReceiptsRechargeRecordRepository;
import com.uas.b2c.pay.service.ReceiptsRechargeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 收单系统的充值接口
 *
 * @author yuj 2018-01-17 21:06
 */
@Service
public class ReceiptsRechargeRecordServiceImpl implements ReceiptsRechargeRecordService {

    private final ReceiptsRechargeRecordRepository receiptsRechargeRecordRepository;

    @Autowired
    public ReceiptsRechargeRecordServiceImpl(ReceiptsRechargeRecordRepository receiptsRechargeRecordRepository) {
        this.receiptsRechargeRecordRepository = receiptsRechargeRecordRepository;
    }

    @Override
    public ReceiptsRechargeRecord save(ReceiptsRechargeRecord record) {
        return receiptsRechargeRecordRepository.save(record);
    }
}
