package com.uas.b2c.pay.util;

import com.sdb.payclient.core.PayclientInterfaceUtil;
import org.springframework.util.StringUtils;

import java.net.URLEncoder;

/**
 * 跨行支付编码的设置
 *
 * @author yuj 2017-12-21 14:12
 */
public class KHEncodeUtil {

    private static final String  GBK_ENCODING = "GBK";

    /**
     * 传入数据 对数据进行 Base64Encode 编码和 URLEncoder 编码
     */
    public static String encodeBASE64EncoderAndURLEncoder(String str) {
        PayclientInterfaceUtil util = null;
        String encode = null;
        if (StringUtils.isEmpty(str)) {
           return encode;
        } else {
            try {
                util = new PayclientInterfaceUtil();
                encode = util.Base64Encode(str, GBK_ENCODING);
                encode = URLEncoder.encode(encode, GBK_ENCODING);
            } catch (Exception e) {
                e.printStackTrace();
                encode = e.getMessage();
            }
        }
        return encode;
    }
}
