package com.uas.b2c.pay.util;

import com.ecc.emp.data.IndexedCollection;
import com.ecc.emp.data.KeyedCollection;
import com.uas.b2c.pay.constant.PingAnField;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/**
 * 解析返回的数据
 *
 * @author yuj 2018-01-05 13:01
 */
public class PingAnParseResult {

    /**
     * 解析返回的数据
     *
     * @param
     * @return List<Map<String, String>>
     */
    public static List<Map<String, String>> parseQueryBindCard(KeyedCollection message) {
        if (message == null) {
            return null;
        }
        List<Map<String, String>> list = new ArrayList<>();
        IndexedCollection indexedCollection = (IndexedCollection) message.get(PingAnField.BINDACCICOLL);
        Iterator iterator = indexedCollection.iterator();
        while (iterator.hasNext()) {
            Object next = iterator.next();
            if (next instanceof KeyedCollection) {
                KeyedCollection keyedCollection = (KeyedCollection) next;
                Map<String, String> map = BankCardAcceptanceUtil.keyedCollectionToMap(keyedCollection);
                list.add(map);
            } else {
                //TODO
                System.out.println("异常处理");
            }
        }
        return list;
    }
}
