package com.uas.b2c.pay;

import com.uas.b2c.pay.constant.PingAnProperties;
import com.uas.b2c.pay.properties.SysConf;
import com.uas.b2c.pay.service.AssociatorTradeService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runner.Runner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;
import java.util.HashMap;

@RunWith(Runner.class)
@SpringBootTest(classes = PlatformPayApplication.class)
public class PlatformPayApplicationTests {

	@Autowired
	private SysConf sysConf;

	@Autowired
	private AssociatorTradeService associatorTradeService;

	@Test
	public void test() throws IOException {
		/*获取动态验证码*/
//		HashMap map4 = new HashMap();
//		map4.put("ThirdCustId", "1000103422100010342311");
//		map4.put("CustAcctId", "3239000000006038");
//		map4.put("TranType", PingAnProperties.MESSAGE_TRANTYPE_PAY);
//		map4.put("TranAmount", "10000");
//		map4.put("useruu", 1000103422l);
//		ResultMap resultMap = associatorTradeService.getSMSVerification(map4);
//		if(resultMap.getCode().intValue() == CodeType.success) {
//		}

		/*会员间交易*/
		HashMap map3 = new HashMap();
		map3.put("useruu", 1000000l); //请求流水号

		map3.put("FuncFlag", PingAnProperties.ADVANCEPAY);
		map3.put("OutCustAcctId", "3239000000006038");
		map3.put("OutThirdCustId", "1000103422100010342311");
		map3.put("OutCustName", "aaa");
		map3.put("InCustAcctId", "3239000000006018");
		map3.put("InThirdCustId", "100023130344311");
		map3.put("InCustName", "bbbb");
		map3.put("TranAmount", "10000");
		map3.put("TranFee", "10");
		map3.put("TranType", PingAnProperties.TRANTYPE);
		map3.put("CcyCode", PingAnProperties.CURRENCYTYPE);
		map3.put("ThirdHtId", "0113333");
		map3.put("ThirdHtMsg", "我去");
		map3.put("Note", "");
		map3.put("Reserve", "");
		map3.put("MessageCode", "258544");
		associatorTradeService.payOrRefund(map3);
//		byte[] array = new byte[100];
//		int n = System.in.read(array);
//		String str = new String(array, 0 , n);
//		System.out.println("输入的字符shi：" + str);
	}
}
