package com.uas.b2c.pay.assistant;

/**
 * 返回的信息
 *
 * @author yuj 2017-11-09 21:59
 */
public class ResultMap {
    /**
     * 代码 1 成功， 0 失败
     */
    private int code;

    private boolean success;

    private String message;

    private Object data;

    public ResultMap() {
    }

    public ResultMap(int code, boolean success, String message, Object data) {
        this.code = code;
        this.success = success;
        this.message = message;
        this.data = data;
    }

    public ResultMap(int code, String message, Object data) {
        this.code = code;
        this.message = message;
        this.success = this.code == CodeType.success;
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public ResultMap setCode(int code) {
        this.code = code;
        return this;
    }

    public boolean isSuccess() {
        return success;
    }

    public ResultMap setSuccess(boolean success) {
        this.success = success;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public ResultMap setMessage(String message) {
        this.message = message;
        return this;
    }

    public Object getData() {
        return data;
    }

    public ResultMap setData(Object data) {
        this.data = data;
        return this;
    }
}
