package com.uas.b2c.pay.constant;

/**
 * 支付卡类型
 *
 * Created by yujia on 2017/12/25.
 */
public enum PayCardTypeEnum {

    /**
     * 贷记卡
     */
    DEBIT_CARD("02", "贷记卡"),

    /**
     * 借记卡
     */
    SAVINGS_CARD("01", "借记卡"),

    /**
     * 混合
     * B2B的也用00
     */
    MIX_CARD("00", "混合");

    private String value;

    private String message;

    PayCardTypeEnum(String value, String message) {
        this.value = value;
        this.message = message;
    }

    public String getValue() {
        return value;
    }

    public PayCardTypeEnum setValue(String value) {
        this.value = value;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public PayCardTypeEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
