package com.uas.b2c.pay.constant;

/**
 * 平安的字段名称
 * @author yuj 2017-11-14 11:23
 */
public class PingAnField {

    /**
     * 企业代码
     */
    public static final String QYDM = "Qydm";

    /**
     * 平安返回的信息
     */
    public static final String RESPONSEMESSAGE =  "RspMsg";

    /**
     * 银行返回的报文信息
     */
    public static final String RECEVEMESSAGE = "RecvMessage";

    /**
     * 通信成功的标志
     */
    public static final String RSPCODE = "RspCode";

    /**
     * 资金汇总账户字段
     */
    public static final String SUPACCTID = "SupAcctId";

    /**
     * 端口的数字
     */
    public static final String TRANFUNC = "TranFunc";

    /**
     * 功能代码
     */
    public static final String FUNCFLAG = "FuncFlag";

    /**
     * 第三方的流水号
     */
    public static final String THIRDLOGNO = "ThirdLogNo";

    /**
     * 会员属性
     */
    public static final String CUSTPROPERTY = "CustProperty";

    /**
     * 别名
     */
    public static final String NICKNAME = "NickName";

    /**
     * 电话
     */
    public static final String MOBILEPHONE = "MobilePhone";

    /**
     * 邮箱
     */
    public static final String EMAIL = "Email";

    /**
     * 子账号
     */
    public static final String CUSTACCTID  = "CustAcctId";

    /**
     * 保留字段
     */
    public static final String RESERVE = "Reserve";

    /**
     * 上日余额
     */
    public static final String LAST_BALANCE = "LastBalance";

    /**
     * 当前余额
     */
    public static final String CUR_BALANCE = "CurBalance";

    /**
     * 会员证件类型
     */
    public static final String  IDTYPE = "IdType";

    /**
     * 会员号
     */
    public static final String IDCODE = "IdCode";

    /**
     * 查询标志
     * {@code 2：普通会员子账号 3：功能子账号}
     * {@code 1：全部会员 2：单个会员 }
     */
    public static final String SELECTFLAG = "SelectFlag";

    /**
     * 第几页的数据
     */
    public static final String PAGENUM = "PageNum";

    /**
     * 查询银行子账户余额【6010】
     * 总记录数
     */
    public static final String GET_SUBACCOUNT_INFO_TOTALCOUNT = "TotalCount";

    /**
     * 查询银行子账户余额【6010】
     *
     * 起始记录号
     */
    public static final String GET_SUBACCOUNT_INFO_BEGINNUM = "BeginNum";

    /**
     * 查询银行子账户余额【6010】
     *
     * 是否结束包
     */
    public static final String GET_SUBACCOUNT_INFO_LASTPAGE = "lastPage";

    /**
     * 查询银行子账户余额【6010】
     *
     * 子账户个数
     */
    public static final String GET_SUBACCOUNT_INFO_RECORDNUM = "RecordNum";

    /**
     * 查询银行子账户余额【6010】
     *
     * 信息数组
     */
    public static final String GET_SUBACCOUNT_INFO_ARRAY = "Array";

    /**
     * 查询银行子账户余额【6010】
     *
     * 子账户
     */
    public static final String GET_SUBACCOUNT_INFO_CUSTACCTID = "CustAcctId";

    /**
     * 查询银行子账户余额【6010】
     *
     * 子账户属性
     */
    public static final String GET_SUBACCOUNT_INFO_CUSTTYPE = "CustType";

    /**
     * 查询银行子账户余额【6010】
     *
     * 交易网会员代码
     */
    public static final String THIRDCUSTID = "ThirdCustId";


    /**
     * 查询银行子账户余额【6010】
     *
     * 子账户名称
     */
    public static final String CUSTNAME = "CustName";

    /**
     * 查询银行子账户余额【6010】
     *
     * 账户可用余额
     */
    public static final String GET_SUBACCOUNT_INFO_TOTALBALANCE = "TotalBalance";


    /**
     * 查询银行子账户余额【6010】
     *
     * 账户可提现金额
     */
    public static final String GET_SUBACCOUNT_INFO_TOTALTRANOUTAMOUNT = "TotalTranOutAmount";

    /**
     * 查询银行子账户余额【6010】
     *
     * 维护日期
     */
    public static final String GET_SUBACCOUNT_INFO_TRANDATE = "TranDate";


    /**
     * 会员账号
     */
    public static final String DYNAMIC_VERIFICATION_BIND_BANK_CARD_ACCTID = "AcctId";

    /**
     * 短信验证码
     */
    public static final String MESSAGE_CODE = "MessageCode";

    /**
     * 鉴权金额
     */
    public static final String TRANAMOUNT = "TranAmount";

    /**
     * 币种
     */
    public static final String CCYCODE = "CcyCode";
    /**
     * 超级网银号
     */
    public static final String SBANKCODE = "SBankCode";

    /**
     * 大小额行号
     */
    public static final String BANKCODE = "BankCode";

    /**
     * 开户行名称
     */
    public static final String BankName = "BankName";

    /**
     * 银行类型
     */
    public static final String BANKTYPE = "BankType";

    /**
     * 修改方式
      */
    public static final String MODIFIEDTYPE = "ModifiedType";

    /**
     * 新手机号码
     */
    public static final String NEW_MOBILEPHONE = "NewMobilePhone";

    /**
     * 短信指令号
     */
    public static final String  SERIALNO = "SerialNo";

    /**
     * 备注
     */
    public static final String NOTE = "Note";

    /**
     * 提现账号
     */
    public static final String OUTACCTID = "OutAcctId";

    /**
     * 提现账户名称
     */
    public static final String OUTACCTIDNAME = "OutAcctIdName";

    /**
     * 手续费
     */
    public static final String HANDFEE = "HandFee";

    /**
     * 交易的类型
     */
    public static final String TRANTYPE = "TranType";

    /**
     * 转出子账户
     */
    public static final String OUTCUSTACCTID = "OutCustAcctId";

    /**
     * 转出会员代码
     */
    public static final String OUTTHIRDCUSTID = "OutThirdCustId";

    /**
     * 转出子账户名称
     */
    public static final String OUTCUSTNAME = "OutCustName";

    /**
     * 转入子账户
     */
    public static final String INCUSTACCTID = "InCustAcctId";

    /**
     * 转入会员代码
     */
    public static final String INTHIRDCUSTID = "InThirdCustId";


    /**
     * 转入子账户名称
     */
    public static final String INCUSTNAME = "InCustName";

    /**
     * 交易类型
     */
    public static final String TRANFEE = "TranFee";

    /**
     * 订单号
     */
    public static final String THIRDHTID = "ThirdHtId";

    /**
     * 交易网流水号
     */
    public static final String ORIGTHIRDLOGNO = "OrigThirdLogNo";

    /**
     * 交易的日期
     */
    public static final String TRANDATE = "TranDate";

    /**
     * 起始时间
     */
    public static final String BEGINDATE = "BeginDate";

    /**
     * 结束日期
     */
    public static final String ENDDATE = "EndDate";

    /**
     * 文件类型
     */
    public static final String FILETYPE = "FileType";

    /**
     * 前置流水号
     */
    public static final String FRONTLOGNO = "FrontLogNo";

    /**
     * 收单渠道
     */
    public static final String ACQCHANNELTYPE = "AcqChannelType";

    /**
     * 数据集合IndexedCollection
     */
    public static final String BINDACCICOLL = "bindAccIcoll";

    /**
     * 上日余额
     */
    public static final String LASTBALANCE = "LastBalance";

    /**
     * 当前余额
     */
    public static final String CURBALANCE = "CurBalance";
}
