package com.uas.b2c.pay.constant;

/**
 * 平安的辅助参数
 * @author yuj 2017-11-09 20:53
 */
public class PingAnProperties {

    /**
     * 平安交易成功的代码
     */
    public static String RETURN_SUCCESS_CODE = "000000";

    /**
     * 开户代码
     */
    public static String OPEN_ACCOUNT = "1";

    /**
     * 销户
     */
    public static String CLOSE_ACCOUNT = "3";

    /**
     * 普通子账户
     */
    public static String NORMALCUSTPROPERTY = "00";

    /**
     * 商户子账户
     */
    public static String COMMERCIALCUSTPROPERTY = "SH";

    /**
     * 32进制
     */
    public static Integer DECIMAL = 32;

    /**
     * 商城的长度
     */
    public static Integer LENGTH = 20;

    /**
     * 会员证件类型
     */
    public static String IDTYPE = "1";

    /**
     * 本行
     */
    public static String SELF_BANK_TYPE = "1";

    /**
     * 他行
     */
    public static String OTHER_BANK_TYPE = "2";

    /**
     * 超级网银号
     */
    public static String SUPERBANKNUM = "1";

    /**
     * 大小额联行号类型
     */
    public static String SIZE_LIN_NUMBER = "2";

    /**
     * 下单预先支付
     */
    public static String ADVANCEPAY = "1";

    /**
     * 确认付款
     */
    public static String CONFIRMPAY = "2";

    /**
     * 退款
     */
    public static String REFUNDPAY = "3";

    /**
     * 直接支付
     */
    public static String DIRECTPAYMENT = "6";

    /**
     * 交易币种
     */
    public static String CURRENCYTYPE = "RMB";

    /**
     * 会员间交易 默认为 01
     */
    public static String TRANTYPE = "01";


    /**
     * 短信动态码获取类型 提现
     */
    public static String MESSAGE_TRANTYPE_WITHDRAW_CASH = "1";

    /**
     * 短信动态码获取类型 支付
     */
    public static String MESSAGE_TRANTYPE_PAY = "2";
}
