package com.uas.b2c.pay.constant;

/**
 * 跨行支付的业务类型
 *
 * @author yuj 2017-12-25 20:27
 */
public class UnionPayBusinessCodeConstant {

    /**
     * 支付的代码
     */
    public static final String PAYMENT = "khPayment_PAY_API";

    /**
     * 银联快捷支付的短信验证码
     */
    public static final String UNIONPAY_SMS = "khPayment_SMS_API";

    /**
     * 查询银联绑卡的信息
     */
    public static final String UNIONPAY_QUERY_CARD = "khPayment_QRY_API";

    /**
     * 银联绑卡
     */
    public static final String UNIONPAY_BINDCARD = "khPayment_BIND_API";
}
