package com.uas.b2c.pay.service;

import com.uas.b2c.pay.domain.TransportMessage;

import java.util.List;

/**
 * 传入数据的service层
 *
 * Created by yujia on 2017/12/26.
 */
public interface TransportMessageService {

    /**
     * 保存 TransportMessage
     *
     * @param message 需要保存的信息
     * @return TransportMessage
     */
    TransportMessage save(TransportMessage message);

    /**
     * 批量保存信息
     *
     * @param list 需要保存的数据
     * @return List<TransportMessage>
     */
    List<TransportMessage> save(List<TransportMessage> list);
}
