package com.uas.b2c.pay.service;

import com.uas.b2c.pay.assistant.ResultMap;

import java.util.HashMap;

/**
 * 微信支付的接口
 *
 * Created by yujia on 2017/12/28.
 */
public interface WeChatService {

    /**
     * 微信的预支付
     *
     * @param map 传入的数据
     * @return 返回结果集
     */
    String prePayment(HashMap<String, String> map);

    /**
     * 微信的支付接口
     *
     * @param map 传入的数据
     * @return String
     */
    ResultMap payment(HashMap<String, String> map);
}
